org.apache.ignite.internal.processors.query.schema

## Class AbstractSchemaChangeListener

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.AbstractSchemaChangeListener

All Implemented Interfaces:
  SchemaChangeListener

    public abstract class AbstractSchemaChangeListener
    extends Object
    implements SchemaChangeListener

Abstract schema change listener with no-op implementation for all calbacks.

### Constructor Summary

Constructors
Constructor and Description
`AbstractSchemaChangeListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onColumnsAdded(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo, List<QueryField> cols)` Callback on columns added.
`void` `onColumnsDropped(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo, List<String> cols)` Callback on columns dropped.
`void` `onFunctionCreated(String schemaName, String name, boolean deterministic, Method method)` Callback on function creation.
`void` `onIndexCreated(String schemaName, String tblName, String idxName, IndexDescriptor idxDesc)` Callback on index creation.
`void` `onIndexDropped(String schemaName, String tblName, String idxName)` Callback on index drop.
`void` `onIndexRebuildFinished(String schemaName, String tblName)` Callback on index rebuild finished for all indexes in the table.
`void` `onIndexRebuildStarted(String schemaName, String tblName)` Callback on index rebuild started for all indexes in the table.
`void` `onSchemaCreated(String schemaName)` Callback method.
`void` `onSchemaDropped(String schemaName)` Callback method.
`void` `onSqlTypeCreated(String schemaName, GridQueryTypeDescriptor typeDesc, GridCacheContextInfo<?,?> cacheInfo)` Callback method.
`void` `onSqlTypeDropped(String schemaName, GridQueryTypeDescriptor typeDescriptor, boolean destroy)` Callback method.
`void` `onSystemViewCreated(String schemaName, SystemView<?> sysView)` Callback method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractSchemaChangeListener

    public AbstractSchemaChangeListener()

### Method Detail

#### onSchemaCreated

    public void onSchemaCreated(String schemaName)

Callback method.

Specified by:
  `onSchemaCreated` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.

#### onSchemaDropped

    public void onSchemaDropped(String schemaName)

Callback method.

Specified by:
  `onSchemaDropped` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.

#### onIndexCreated

    public void onIndexCreated(String schemaName,
                               String tblName,
                               String idxName,
                               IndexDescriptor idxDesc)

Callback on index creation.

Specified by:
  `onIndexCreated` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `idxName` - Index name.
  `idxDesc` - Index descriptor.

#### onIndexDropped

    public void onIndexDropped(String schemaName,
                               String tblName,
                               String idxName)

Callback on index drop.

Specified by:
  `onIndexDropped` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.
  `idxName` - Index name.

#### onIndexRebuildStarted

    public void onIndexRebuildStarted(String schemaName,
                                      String tblName)

Callback on index rebuild started for all indexes in the table.

Specified by:
  `onIndexRebuildStarted` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.

#### onIndexRebuildFinished

    public void onIndexRebuildFinished(String schemaName,
                                       String tblName)

Callback on index rebuild finished for all indexes in the table.

Specified by:
  `onIndexRebuildFinished` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `tblName` - Table name.

#### onSqlTypeCreated

    public void onSqlTypeCreated(String schemaName,
                                 GridQueryTypeDescriptor typeDesc,
                                 GridCacheContextInfo<?,?> cacheInfo)

Callback method.

Specified by:
  `onSqlTypeCreated` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.

#### onColumnsAdded

    public void onColumnsAdded(String schemaName,
                               GridQueryTypeDescriptor typeDesc,
                               GridCacheContextInfo<?,?> cacheInfo,
                               List<QueryField> cols)

Callback on columns added.

Specified by:
  `onColumnsAdded` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.
  `cols` - Added columns' names.

#### onColumnsDropped

    public void onColumnsDropped(String schemaName,
                                 GridQueryTypeDescriptor typeDesc,
                                 GridCacheContextInfo<?,?> cacheInfo,
                                 List<String> cols)

Callback on columns dropped.

Specified by:
  `onColumnsDropped` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `typeDesc` - Type descriptor.
  `cacheInfo` - Cache info.
  `cols` - Dropped columns' names.

#### onSqlTypeDropped

    public void onSqlTypeDropped(String schemaName,
                                 GridQueryTypeDescriptor typeDescriptor,
                                 boolean destroy)

Callback method.

Specified by:
  `onSqlTypeDropped` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `typeDescriptor` - Type descriptor.
  `destroy` - Cache destroy flag.

#### onFunctionCreated

    public void onFunctionCreated(String schemaName,
                                  String name,
                                  boolean deterministic,
                                  Method method)

Callback on function creation.

Specified by:
  `onFunctionCreated` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `name` - Function name.
  `deterministic` - Specifies if the function is deterministic (result depends only on input parameters)
  `method` - Public static method, implementing this function.

#### onSystemViewCreated

    public void onSystemViewCreated(String schemaName,
                                    SystemView<?> sysView)

Callback method.

Specified by:
  `onSystemViewCreated` in interface `SchemaChangeListener`
Parameters:
  `schemaName` - Schema name.
  `sysView` - System view.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023